scanner Epson XP-455

Questions concernant les composants
jbmuffat
Messages : 7
Enregistré le : dim. 7 oct. 2018 18:18

scanner Epson XP-455

Message par jbmuffat » mar. 16 avr. 2019 15:59

Bonjour,
j'essaie d'installer ce scanner sous mint 18.04 or lors de l'installation j'obtiens ces erreurs:

Code : Tout sélectionner

dpkg: des problèmes de dépendances empêchent la configuration de imagescan:i386 :
 imagescan:i386 dépend de libatkmm-1.6-1v5 (>= 2.24.0).
 imagescan:i386 dépend de libboost-filesystem1.58.0.
 imagescan:i386 dépend de libboost-program-options1.58.0.
 imagescan:i386 dépend de libboost-system1.58.0.
 imagescan:i386 dépend de libglibmm-2.4-1v5 (>= 2.46.0).
 imagescan:i386 dépend de libgraphicsmagick++-q16-12.
 imagescan:i386 dépend de libgraphicsmagick-q16-3 (>= 1.3.11).
 imagescan:i386 dépend de libgtkmm-2.4-1v5 (>= 1:2.24.0).
 imagescan:i386 dépend de libltdl7 (>= 2.4.6).
 imagescan:i386 dépend de libpangomm-1.4-1v5 (>= 2.38.0).
 imagescan:i386 dépend de libsigc++-2.0-0v5 (>= 2.6.1).
 imagescan:i386 dépend de libtiff5 (>= 4.0.3).
 imagescan:i386 dépend de libusb-1.0-0 (>= 2:1.0.12).
 imagescan:i386 dépend de graphicsmagick.

est-ce que quelqu'un peut m'aider?

Avatar du membre
zeb
Administrateur du site
Messages : 14437
Enregistré le : ven. 19 juin 2015 22:13
Localisation : Au pays du mistral

Re: scanner Epson XP-455

Message par zeb » mar. 16 avr. 2019 16:15

Bonjour,
Cette rubrique (avant ou pendant installation) n'est que pour le système, pas pour des périphériques.
Je déplace dans compatibilité matériel.
LMDE3 Cinnamon 64-bit + LMDE3 Xfce.
Proc: intel I5 4440, Cm: Gigabyte GA-B85M-D3H, Alim: Corsair CX Bronze 430 W, Ram: Crucial Ballistix Sport, 2 x 2 Go.
SSD: 2.5 sandisk ultra+ 64 Go pour /+home, DD: Seagate Barracuda 500 Go pour mes données persos, DD maxtor 160 Go pour la sauvegarde ciblée via luckybackup.
Impr: HP Envy 4502.

Avatar du membre
cyrille
Messages : 2768
Enregistré le : mar. 19 sept. 2017 08:49
Localisation : Nord - Avesnois
Contact :

Re: scanner Epson XP-455

Message par cyrille » mar. 16 avr. 2019 17:22

Tu as essayé

Code : Tout sélectionner

sudo apt-get install -f
?
ça donne quoi
Ensuite si ça ne passe pas, vérifie que les versions des paqutes du dépots correspondent aux paquets demandée

Qu'as tu installé comme paquet pour avoir des dépendances non satisfaites et surtout comment (apt ? (ça m'étonnerait...), dpkg, manuelle ...) ?
# Me : DELL Lat E5430, SSD, 64-bit, RAM 8Go [ FreeBSD 12.0, xfce / Openbox ; DEBIAN SID via VirtualBox] | E7440, SSD, amd64, RAM 8Go [ DEBIAN SID, xfce]
# Work : Serveur HP ProLiant ML 310e Gen 8 v2, DEBIAN STABLE | Parc DELL Lat E6* LINUX MINT, 18.3 Sylvia, amd64, XFCE.

All you need : #!/bin/bash | SVP les chiants pas de MP...

jbmuffat
Messages : 7
Enregistré le : dim. 7 oct. 2018 18:18

Re: scanner Epson XP-455

Message par jbmuffat » mar. 16 avr. 2019 17:28

Bonjour,
je suis allé sur le site Epson et j'ai mis les lignes de commandes de leur mode d'emploi.
je vous donne les résultats demandés ce soir.
À bientôt.

Avatar du membre
cyrille
Messages : 2768
Enregistré le : mar. 19 sept. 2017 08:49
Localisation : Nord - Avesnois
Contact :

Re: scanner Epson XP-455

Message par cyrille » mar. 16 avr. 2019 17:30

Dans ce cas la commande sus citée devrait résoudre les dépendances ;)
# Me : DELL Lat E5430, SSD, 64-bit, RAM 8Go [ FreeBSD 12.0, xfce / Openbox ; DEBIAN SID via VirtualBox] | E7440, SSD, amd64, RAM 8Go [ DEBIAN SID, xfce]
# Work : Serveur HP ProLiant ML 310e Gen 8 v2, DEBIAN STABLE | Parc DELL Lat E6* LINUX MINT, 18.3 Sylvia, amd64, XFCE.

All you need : #!/bin/bash | SVP les chiants pas de MP...

jbmuffat
Messages : 7
Enregistré le : dim. 7 oct. 2018 18:18

Re: scanner Epson XP-455

Message par jbmuffat » mar. 16 avr. 2019 18:31

çà ne change rien.
J'ai essayé en passant par synaptic, ce que j'aurais peut-être dû faire en premier. J'ai ce message d'erruer: Le paquet

Code : Tout sélectionner

imagescan n'est pas disponible bien qu'il soit listé dans la base de données.
Les explications possibles sont que le paquet est listé dans les dépendances sans jamais avoir été publié, qu'il est devenu obsolète ou qu'il n'est pas disponible sur les dépôts définis dans le fichier sources.list

jbmuffat
Messages : 7
Enregistré le : dim. 7 oct. 2018 18:18

Re: scanner Epson XP-455

Message par jbmuffat » mar. 16 avr. 2019 18:43

En fait je progresse.
Je suis allé dans le répertoire où j'ai copié le fichier pilote de Epson puis fait çà :

Code : Tout sélectionner

utilisateur@utilisateur-Latitude-E5400:~/Documents/pilotes/imagescan-bundle-linuxmint-18-3.55.0.x86.deb$ bash install.sh
Atteint :1 http://linux.teamviewer.com/deb stable InRelease
Atteint :2 http://archive.canonical.com/ubuntu bionic InRelease                
Atteint :3 http://archive.ubuntu.com/ubuntu bionic InRelease                   
Réception de :4 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]
Ign :5 http://packages.linuxmint.com tessa InRelease                           
Atteint :6 http://security.ubuntu.com/ubuntu bionic-security InRelease         
Atteint :7 http://packages.linuxmint.com tessa Release                         
Réception de :8 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]
163 ko réceptionnés en 2s (106 ko/s)                            
Lecture des listes de paquets... Fait
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet libboost-filesystem1.58.0:i386 n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

Aucune version du paquet libboost-program-options1.58.0:i386 n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

Aucune version du paquet libboost-system1.58.0:i386 n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « libboost-filesystem1.58.0:i386 » n'a pas de version susceptible d'être installée
E: Le paquet « libboost-program-options1.58.0:i386 » n'a pas de version susceptible d'être installée
E: Le paquet « libboost-system1.58.0:i386 » n'a pas de version susceptible d'être installée

jbmuffat
Messages : 7
Enregistré le : dim. 7 oct. 2018 18:18

Re: scanner Epson XP-455

Message par jbmuffat » mar. 16 avr. 2019 18:59

Bon,
déjà j'ai fait l'erreur de prendre le pilote en 32 bit alors que c'était le 64. Maintenant imagescan est installé mais ne reconnaît pas le scanner. Il est branché par USB et allumé.

Avatar du membre
cyrille
Messages : 2768
Enregistré le : mar. 19 sept. 2017 08:49
Localisation : Nord - Avesnois
Contact :

Re: scanner Epson XP-455

Message par cyrille » mer. 17 avr. 2019 14:58

Tu devrais desinstallé le i386 et installé le paquet correspondant à ton architecture

que te donne

Code : Tout sélectionner

sudo sane-find-scanner -q
# Me : DELL Lat E5430, SSD, 64-bit, RAM 8Go [ FreeBSD 12.0, xfce / Openbox ; DEBIAN SID via VirtualBox] | E7440, SSD, amd64, RAM 8Go [ DEBIAN SID, xfce]
# Work : Serveur HP ProLiant ML 310e Gen 8 v2, DEBIAN STABLE | Parc DELL Lat E6* LINUX MINT, 18.3 Sylvia, amd64, XFCE.

All you need : #!/bin/bash | SVP les chiants pas de MP...

jbmuffat
Messages : 7
Enregistré le : dim. 7 oct. 2018 18:18

Re: scanner Epson XP-455

Message par jbmuffat » mer. 17 avr. 2019 15:47

Code : Tout sélectionner

could not fetch string descriptor: Pipe error
could not fetch string descriptor: Pipe error
found USB scanner (vendor=0x04b8, product=0x113e) at libusb:002:002

Répondre